// Libraries
import React, {SFC} from 'react'

const IconLineProtocol: SFC = () => {
  return (
    <svg
      width="100%"
      height="100%"
      id="icon_lp_Layer_1"
      x={0}
      y={0}
      viewBox="0 0 100 100"
      xmlSpace="preserve"
    >
      <style>
        {
          '.icon_lp_st2,.icon_lp_st3,.icon_lp_st4,.icon_lp_st5,.icon_lp_st6{fill:none;stroke:#ff8564;stroke-width:.9329;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:10}.icon_lp_st3,.icon_lp_st4,.icon_lp_st5,.icon_lp_st6{stroke:#ffb6a0}.icon_lp_st4,.icon_lp_st5,.icon_lp_st6{stroke:#f85f53}.icon_lp_st5,.icon_lp_st6{stroke:#9394ff}.icon_lp_st6{fill:#b1b6ff;stroke:#ffb6a0}.icon_lp_st8{fill:#dc4e58}'
        }
      </style>
      <path
        d="M79.7 24.6l-.7-2.8-2.7-.8-2.1 1.9.6 2.8 2.7.8 2.2-1.9z"
        fill="#9394ff"
      />
      <path
        d="M66.2 74.9l-.3-1.4-1.4-.4-1 .9.3 1.4 1.4.4 1-.9z"
        fill="#311f94"
      />
      <path className="icon_lp_st2" d="M12.9 34.4v5.5M15.7 37.2h-5.5" />
      <path className="icon_lp_st3" d="M63.9 1.1v2.8M65.3 2.5h-2.8" />
      <path className="icon_lp_st4" d="M11.3 96.4v2.7M12.7 97.8H10" />
      <path className="icon_lp_st5" d="M74.2 87.4l-2 2M74.2 89.4l-2-2" />
      <path className="icon_lp_st6" d="M30.2 14.1L28.3 16M30.2 16l-1.9-1.9" />
      <circle cx={89.5} cy={60.7} r={1.4} fill="#c9d0ff" />
      <g>
        <path
          className="icon_lp_st8"
          d="M37.5 23.3c.2 0 .4.2.4.4s-.2.4-.4.4-.4-.2-.4-.4.2-.4.4-.4m0-.9c-.8 0-1.4.6-1.4 1.4s.6 1.4 1.4 1.4 1.4-.6 1.4-1.4-.6-1.4-1.4-1.4z"
        />
      </g>
      <g>
        <path
          d="M38.9 87.8c1 0 1.8.8 1.8 1.8s-.8 1.8-1.8 1.8-1.8-.8-1.8-1.8.8-1.8 1.8-1.8m0-.9c-1.5 0-2.8 1.2-2.8 2.8 0 1.5 1.2 2.8 2.8 2.8s2.8-1.2 2.8-2.8c0-1.6-1.2-2.8-2.8-2.8z"
          fill="#7a65f1"
        />
      </g>
      <g>
        <path
          className="icon_lp_st8"
          d="M17 66.7l3.1 1 .7 3.2-2.4 2.1-3.1-.9-.7-3.2 2.4-2.2m-.3-1.1l-3.2 2.9 1 4.1 4.1 1.2 3.1-2.9-1-4.1-4-1.2zm5.1 5.5zm0 0z"
        />
      </g>
      <linearGradient
        id="icon_lp_influxdb_x5F_logo_1_"
        gradientUnits="userSpaceOnUse"
        x1={38.005}
        y1={37.41}
        x2={63.326}
        y2={71.448}
      >
        <stop offset={0.002} stopColor="#ff8564" />
        <stop offset={1} stopColor="#9394ff" />
      </linearGradient>
      <path
        id="icon_lp_influxdb_x5F_logo_4_"
        d="M67.5 54.5l-3.9-16.8c-.2-.9-1.1-1.8-2-2.1L44 30.2c-.2-.1-.5-.1-.7-.1-.7 0-1.5.3-2.1.7L28.6 42.6c-.7.6-1.1 1.8-.8 2.7l4.1 18c.2.9 1.1 1.8 2 2.1l16.5 5.1c.2.1.5.1.7.1.7 0 1.5-.3 2.1-.7l13.5-12.6c.7-.6 1-1.8.8-2.8zM45.9 34.2L58 37.9c.5.1.5.4 0 .5l-6.4 1.4c-.5.1-1.1-.1-1.5-.4l-4.4-4.8c-.4-.4-.3-.6.2-.4zm7.5 21.7c.1.5-.2.7-.7.6l-13.1-4c-.5-.1-.6-.5-.2-.9l10-9.3c.4-.4.7-.2.9.3l3.1 13.3zM31.9 44.1l10.6-9.9c.4-.4.9-.3 1.3 0l5.3 5.8c.4.4.3.9 0 1.3l-10.6 9.9c-.4.4-.9.3-1.3 0l-5.3-5.8c-.4-.5-.4-1 0-1.3zm2.6 15.6l-2.8-12.3c-.1-.5.1-.6.4-.2l4.4 4.8c.4.4.5 1.1.4 1.5L35 59.7c-.2.5-.5.5-.5 0zM50 66.9l-13.9-4.3c-.5-.1-.7-.7-.6-1.1l2.3-7.5c.1-.5.7-.7 1.1-.6l13.9 4.3c.5.1.7.7.6 1.1l-2.3 7.5c-.1.5-.6.8-1.1.6zm12.3-10.1L53 65.4c-.4.4-.5.2-.4-.3l1.9-6.2c.1-.5.7-1 1.1-1.1l6.4-1.4c.6-.1.6.1.3.4zm1-1.8l-7.6 1.8c-.5.1-1-.2-1.1-.7L51.4 42c-.1-.5.2-1 .7-1.1l7.6-1.8c.5-.1 1 .2 1.1.7L64 53.9c.1.5-.2 1-.7 1.1z"
        fill="url(#icon_lp_influxdb_x5F_logo_1_)"
      />
    </svg>
  )
}

export default IconLineProtocol
